##^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Lance Simms, Stanford University 2009
#This script uses the example from 
#http://www.scipy.org/Cookbook/Matplotlib/LaTeX_Examples
#to generate a plot that has the proper size

import pylab
#A multiple for adjustment of the overall size of the figure
fig_mult     = 1.000

# Get this from LaTeX using \showthe\columnwidth or \showthe\textwidth
fig_width_pt = 660.0     
fig_width_pt_half = fig_width_pt/2      # Half the width for minipage plot
inches_per_pt = 1.0/72.27               	 # Convert pt to inch
golden_mean = (sqrt(5)-1.0)/2.0         	 # Aesthetic ratio

fig_width  = fig_width_pt*inches_per_pt # width in inches
fig_height = fig_width*golden_mean
fig_size =  [fig_width,fig_height]

params = {'backend': 'ps',
          'axes.labelsize': 18,
          'text.fontsize': 18,
          'xtick.labelsize': 18,
          'ytick.labelsize': 18,
          'text.usetex': True,
          'figure.figsize': fig_size}
pylab.rcParams.update(params)
